%define pkg_name        XML-LibXML
%define pkg_version     1.65
%define rpm_pkg_version 1.65
%define rpm_pkg_release 1.n0i.16

Summary:       Interface to the libxml library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PA/PAJAS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libxml2-devel >= 2.6.21
# BuildRequires: gdome2-devel >= 0.7.2

%if %{!?_without_test:1}0
BuildRequires: perl(XML::LibXML::Common) >= 0.13
BuildRequires: perl(XML::NamespaceSupport) >= 1.07
BuildRequires: perl(XML::SAX) >= 0.11
%endif

Requires:      perl(XML::LibXML::Common) >= 0.13
Requires:      perl(XML::NamespaceSupport) >= 1.07
Requires:      perl(XML::SAX) >= 0.11


%description
This module is an interface to the gnome libxml2 DOM and SAX parser and the
DOM tree. It also provides an XML::XPath-like findnodes() interface, providing
access to the XPath API in libxml2. The module is split into several packages
which are not described in this section.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path example/}
%{fix_encoding -f iso-8859-1 example/*.html Changes}


%build
%{perl_build GDOME=1}
%{!?_without_test:%{__make} test MEMORY_TEST=1 THREAD_TEST=1 ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 ] ; then
  for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
    %{__perl} -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" 2>/dev/null || :
  done
fi


%preun
if [ $1 -eq 0 ] ; then
  for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
    %{__perl} -MXML::SAX -e "XML::SAX->remove_parser(q($p))->save_parsers()" 2>/dev/null || :
  done
fi


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes example/ LICENSE README


%changelog
* Thu Sep 27 2007 Marius Feraru <altblue@n0i.net> - 1.65-1.n0i.16
- version 1.65

* Mon Sep 10 2007 Marius Feraru <altblue@n0i.net> - 1.64-1.n0i.15
- version 1.64

* Tue Jun 05 2007 Marius FERARU <altblue@n0i.net> - 1.63-3.n0i.14
- rebuild

* Sun May 27 2007 Marius FERARU <altblue@n0i.net> - 1.63-2.n0i.13
- rebuild with explicit gdome support enabled (paranoid?)
- run full tests (memory, threads)

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.63-1.n0i.12
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.63

* Fri Mar 30 2007 Marius FERARU <altblue@n0i.net> - 1.62_001-1.n0i.11.1.62001
- version 1.62001

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.58-4.n0i.10
- automatic rebuild (perl 5.8.8)

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 1.58-3.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.58-2.n0i.8
- automatic rebuild (perl 5.8.6)

* Sat Jan 29 2005 Marius FERARU <altblue@n0i.net> 0:1.58-2.n0i.7
- fixed pre/post scripts
- no dependencies are to be computed based on files in %%docdir

* Thu Dec 02 2004 Marius Feraru <altblue@n0i.net> 0:1.58-2.n0i.6
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.58-1.n0i.5
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:1.58-1.n0i.4
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:1.58-1.n0i.3
- version 1.58
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- dropped (now obsoleted) patch for compilation w/ libxml2 >= 2.6.0
- updated sax driver add/removal sections

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:1.56-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Thu Jan 01 2004 Marius FERARU <altblue@n0i.net> 0:1.56-0.n0i.1
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
- added patch to make compilation possible with libxml2 >= 2.6.0
